import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * deleteBucketEncryption
 * @param {String} bucketName - bucket name
 */
export async function deleteBucketEncryption(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('DELETE', bucketName, 'encryption', options);
    params.successStatuses = [204];
    params.xmlResponse = true;
    const result = await this.request(params);
    return {
        status: result.status,
        res: result.res,
    };
}
