import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * deleteBucketPolicy
 * @param {String} bucketName - bucket name
 * @param {Object} options
 */
export async function deleteBucketPolicy(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('DELETE', bucketName, 'policy', options);
    params.successStatuses = [204];
    const result = await this.request(params);
    return {
        status: result.status,
        res: result.res,
    };
}
