import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * deleteBucketTags
 * @param {String} name - bucket name
 * @param {Object} options
 */
export async function deleteBucketTags(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('DELETE', name, 'tagging', options);
    params.successStatuses = [204];
    const result = await this.request(params);
    return {
        status: result.status,
        res: result.res,
    };
}
