import { checkBucketName } from '../utils/checkBucketName';
import { obj2xml } from '../utils/obj2xml';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function extendBucketWorm(name, wormId, days, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('POST', name, { wormExtend: '', wormId }, options);
    const paramlXMLObJ = {
        ExtendWormConfiguration: {
            RetentionPeriodInDays: days
        }
    };
    params.mime = 'xml';
    params.content = obj2xml(paramlXMLObJ, { headers: true });
    params.successStatuses = [200];
    const result = await this.request(params);
    return {
        res: result.res,
        status: result.status
    };
}
