import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function getBucketACL(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('GET', name, 'acl', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    return {
        acl: result.data.AccessControlList.Grant,
        owner: {
            id: result.data.Owner.ID,
            displayName: result.data.Owner.DisplayName,
        },
        res: result.res,
    };
}
