import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * getBucketEncryption
 * @param {String} bucketName - bucket name
 */
export async function getBucketEncryption(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('GET', bucketName, 'encryption', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    const encryption = result.data.ApplyServerSideEncryptionByDefault;
    return {
        encryption,
        status: result.status,
        res: result.res,
    };
}
