import { checkBucketName } from '../utils/checkBucketName';
import { isArray } from '../utils/isArray';
import { formatObjKey } from '../utils/formatObjKey';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function getBucketLifecycle(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('GET', name, 'lifecycle', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    let rules = result.data.Rule || null;
    if (rules) {
        if (!isArray(rules)) {
            rules = [rules];
        }
        rules = rules.map(_ => {
            if (_.ID) {
                _.id = _.ID;
                delete _.ID;
            }
            if (_.Tag && !isArray(_.Tag)) {
                _.Tag = [_.Tag];
            }
            return formatObjKey(_, 'firstLowerCase');
        });
    }
    return {
        rules,
        res: result.res,
    };
}
