import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function getBucketLogging(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('GET', name, 'logging', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    const enable = result.data.LoggingEnabled;
    return {
        enable: !!enable,
        prefix: (enable && enable.TargetPrefix) || null,
        res: result.res,
    };
}
