import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * getBucketPolicy
 * @param {String} bucketName - bucket name
 * @param {Object} options
 */
export async function getBucketPolicy(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('GET', bucketName, 'policy', options);
    const result = await this.request(params);
    params.successStatuses = [200];
    let policy = null;
    if (result.res.status === 200) {
        policy = JSON.parse(result.res.data.toString());
    }
    return {
        policy,
        status: result.status,
        res: result.res,
    };
}
