import { checkBucketName } from '../utils/checkBucketName';
import { isArray } from '../utils/isArray';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function getBucketReferer(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('GET', name, 'referer', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    let referers = result.data.RefererList.Referer || null;
    if (referers) {
        if (!isArray(referers)) {
            referers = [referers];
        }
    }
    return {
        allowEmpty: result.data.AllowEmptyReferer === 'true',
        referers,
        res: result.res,
    };
}
