import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * getBucketRequestPayment
 * @param {String} bucketName - bucket name
 * @param {Object} options
 */
export async function getBucketRequestPayment(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('GET', bucketName, 'requestPayment', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    return {
        status: result.status,
        res: result.res,
        payer: result.data.Payer,
    };
}
