import { checkBucketName } from '../utils/checkBucketName';
import { formatTag } from '../utils/formatTag';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * getBucketTags
 * @param {String} name - bucket name
 * @param {Object} options
 * @return {Object}
 */
export async function getBucketTags(name, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('GET', name, 'tagging', options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    const Tagging = result.data;
    return {
        status: result.status,
        res: result.res,
        tag: formatTag(Tagging),
    };
}
