import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
/**
 * getBucketVersioning
 * @param {String} bucketName - bucket name
 */
export async function getBucketVersioning(bucketName, options = {}) {
    checkBucketName(bucketName);
    const params = _bucketRequestParams('GET', bucketName, 'versioning', options);
    params.xmlResponse = true;
    params.successStatuses = [200];
    const result = await this.request(params);
    const versionStatus = result.data.Status;
    return {
        status: result.status,
        versionStatus,
        res: result.res,
    };
}
