import { checkBucketName } from '../utils/checkBucketName';
import { _bucketRequestParams } from '../client/_bucketRequestParams';
export async function putBucketACL(name, acl, options = {}) {
    checkBucketName(name);
    const params = _bucketRequestParams('PUT', name, 'acl', options);
    params.headers = {
        'x-oss-acl': acl,
    };
    params.successStatuses = [200];
    const result = await this.request(params);
    return {
        bucket: (result.headers.location && result.headers.location.substring(1)) || null,
        res: result.res,
    };
}
