import { objectName } from '../utils/objectName';
import { _objectRequestParams } from '../client/_objectRequestParams';
/*
 * Get object's ACL
 * @param {String} name the object key
 * @param {Object} options
 * @return {Object}
 */
export async function getACL(name, options = {}) {
    options.subres = Object.assign({ acl: '' }, options.subres);
    if (options.versionId) {
        options.subres.versionId = options.versionId;
    }
    name = objectName(name);
    const params = _objectRequestParams.call(this, 'GET', name, options);
    params.successStatuses = [200];
    params.xmlResponse = true;
    const result = await this.request(params);
    return {
        acl: result.data.AccessControlList.Grant,
        owner: {
            id: result.data.Owner.ID,
            displayName: result.data.Owner.DisplayName,
        },
        res: result.res,
    };
}
