import { objectName } from '../utils/objectName';
import { _objectRequestParams } from '../client/_objectRequestParams';
/**
 * getObjectMeta
 * @param {String} name - object name
 * @param {Object} options
 * @param {{res}}
 */
export async function getObjectMeta(name, options = {}) {
    name = objectName(name);
    options.subres = Object.assign({ objectMeta: '' }, options.subres);
    if (options.versionId) {
        options.subres.versionId = options.versionId;
    }
    const params = _objectRequestParams.call(this, 'HEAD', name, options);
    params.successStatuses = [200];
    const result = await this.request(params);
    return {
        status: result.status,
        res: result.res
    };
}
