import { Stream } from 'stream';
function isStream(obj) {
    return obj instanceof Stream;
}
export function isReadable(obj) {
    return isStream(obj) && typeof obj._read === 'function' && typeof obj._readableState === 'object';
}
export function isWritable(obj) {
    return isStream(obj) && typeof obj._write === 'function' && typeof obj._writableState === 'object';
}
export function isDuplex(obj) {
    return isReadable(obj) && isWritable(obj);
}
