import urllib from 'urllib';
import AgentKeepalive from 'agentkeepalive';
import { _getUserAgent } from './common/client/_getUserAgent';
import { initOptions } from './common/client/initOptions';
import { request } from './common/client/request';
import { requestError } from './common/client/requestError';
const HttpsAgentKeepalive = AgentKeepalive.HttpsAgent;
const globalHttpAgent = new AgentKeepalive();
const globalHttpsAgent = new HttpsAgentKeepalive();
class Client {
    constructor(options, ctx) {
        this._setOptions = 0;
        this.request = request;
        this.requestError = requestError;
        this.setConfig(options, ctx);
    }
    static use(name, fn) {
        if (!this.prototype[name]) {
            this.prototype[name] = fn;
        }
        else {
            console.warn(`ali-oss: ${name} has been registed`);
        }
        return this;
    }
    setConfig(options, ctx) {
        if (options && options.inited) {
            this.options = options;
        }
        else {
            this.options = initOptions(options);
        }
        // support custom agent and urllib client
        if (this.options.urllib) {
            this.urllib = this.options.urllib;
        }
        else {
            this.urllib = urllib;
            this.agent = this.options.agent || globalHttpAgent;
            this.httpsAgent = this.options.httpsAgent || globalHttpsAgent;
        }
        this.ctx = ctx;
        this.userAgent = _getUserAgent();
    }
}
export const initClient = (options, ctx) => {
    return new Client(options, ctx);
};
export { Client };
